( function( lib, img, cjs )
{

    var p; // shortcut to reference prototypes

    // stage content:
    ( lib.GameScreen = function()
    {
        this.initialize();

        // tableBg
        this.tableBg = new lib.GameScreenTableBackground();
        this.tableBg.setTransform( 365, 132 );

        // buttons
        this.btnReset = new lib.GameScreenBtnReset();
        this.btnReset.setTransform( 840, 629, 0.71, 0.71 );

        this.btnPlay = new lib.GameScreenBtnPlay();
        this.btnPlay.setTransform( 840, 583, 0.71, 0.71 );

        // scoreBoard
        this.scoreBoard = new lib.GameScreenScoreBoard();
        this.scoreBoard.setTransform( 714, 266, 0.88, 0.81 );

        // background
        this.background = new lib.GameScreenBackgroundBorder();

        // bearContainer
        this.bearContainer = new lib.dummy();
        this.bearContainer.setTransform( 191, 660 );

        // clockContainer
        this.clockContainer = new lib.dummy();
        this.clockContainer.setTransform( 0, 0 );

        // picture
        this.picture = new lib.GameScreenPicture();
        this.picture.setTransform( 683.5, 0 );

        this.addChild( this.picture, this.clockContainer, this.bearContainer, this.background, this.scoreBoard, this.btnPlay, this.btnReset, this.tableBg );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 1367, 769 );


    // symbols:
    ( lib.bg_border_bottom = function()
    {
        this.initialize( Images.getImage( "bg_border_bottom" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 104 );


    ( lib.bg_border_logo = function()
    {
        this.initialize( Images.getImage( "bg_border_logo" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 312, 87 );


    ( lib.bg_border_side = function()
    {
        this.initialize( Images.getImage( "bg_border_side" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 26, 584 );


    ( lib.bg_border_top_center = function()
    {
        this.initialize( Images.getImage( "bg_border_top_center" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 235, 124 );


    ( lib.bg_border_top_side = function()
    {
        this.initialize( Images.getImage( "bg_border_top_side" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 83 );


    ( lib.bg_picture = function()
    {
        this.initialize( Images.getImage( "bg_picture" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 1367, 769 );


    ( lib.btn_play = function()
    {
        this.initialize( Images.getImage( "btn_play" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 288, 61 );


    ( lib.btn_restart = function()
    {
        this.initialize( Images.getImage( "btn_restart" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 288, 61 );


    ( lib.score_box = function()
    {
        this.initialize( Images.getImage( "score_box" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 286, 356 );


    ( lib.table_bg = function()
    {
        this.initialize( Images.getImage( "table_bg" ) );
    } ).prototype = new cjs.Bitmap();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 637, 527 );


    ( lib.Símbolo1 = function()
    {
        this.initialize();

        // Camada 1
        this.instance = new lib.bg_border_top_side();

        this.addChild( this.instance );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 83 );


    ( lib.GameScreenBtnReset = function()
    {
        this.initialize();

        // Camada 1
        this.instance_1 = new lib.btn_restart();
        this.instance_1.setTransform( -143.9, -29.9 );

        this.addChild( this.instance_1 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( -143.9, -29.9, 288, 61 );


    ( lib.GameScreenBtnPlay = function()
    {
        this.initialize();

        // Camada 1
        this.instance_2 = new lib.btn_play();
        this.instance_2.setTransform( -143.9, -29.9 );

        this.addChild( this.instance_2 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( -143.9, -29.9, 288, 61 );


    ( lib.GameScreenBorderSide = function()
    {
        this.initialize();

        // Camada 1
        this.instance_3 = new lib.bg_border_side();

        this.addChild( this.instance_3 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 26, 584 );


    ( lib.GameScreenBorderBottom = function()
    {
        this.initialize();

        // Camada 1
        this.instance_4 = new lib.bg_border_bottom();

        this.addChild( this.instance_4 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 104 );


    ( lib.dummy = function()
    {
        this.initialize();

        // Camada 1
        this.shape = new cjs.Shape();
        this.shape.graphics.f( "rgba(255,255,255,0)" ).s().p( "AAyAyIhjAAIAAhjIBjAAIAABj" ).cp();
        this.shape.setTransform( 5, 5 );

        this.addChild( this.shape );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 10, 10 );


    ( lib.GameScreenScoreBoard = function()
    {
        this.initialize();

        // texts
        this.txtP3Name = new cjs.Text( "JOÃO", "20px Cartoonist", "#D4F5FB" );
        this.txtP3Name.textAlign = "center";
        this.txtP3Name.lineHeight = 22;
        this.txtP3Name.lineWidth = 91;
        this.txtP3Name.setTransform( 100.5, 287 );

        this.txtP3Score = new cjs.Text( "1.500.000", "20px Cartoonist", "#FFFFFF" );
        this.txtP3Score.textAlign = "center";
        this.txtP3Score.lineHeight = 22;
        this.txtP3Score.lineWidth = 107;
        this.txtP3Score.setTransform( 203.4, 287 );

        this.txtP2Name = new cjs.Text( "SILVA", "20px Cartoonist", "#D4F5FB" );
        this.txtP2Name.textAlign = "center";
        this.txtP2Name.lineHeight = 22;
        this.txtP2Name.lineWidth = 91;
        this.txtP2Name.setTransform( 100.5, 242 );

        this.txtP2Score = new cjs.Text( "1.800.000", "20px Cartoonist", "#FFFFFF" );
        this.txtP2Score.textAlign = "center";
        this.txtP2Score.lineHeight = 22;
        this.txtP2Score.lineWidth = 107;
        this.txtP2Score.setTransform( 203.4, 242 );

        this.txtP1Name = new cjs.Text( "maria", "20px Cartoonist", "#D4F5FB" );
        this.txtP1Name.textAlign = "center";
        this.txtP1Name.lineHeight = 22;
        this.txtP1Name.lineWidth = 91;
        this.txtP1Name.setTransform( 99.5, 198 );

        this.txtP1Score = new cjs.Text( "2.000.000", "20px Cartoonist", "#FFFFFF" );
        this.txtP1Score.textAlign = "center";
        this.txtP1Score.lineHeight = 22;
        this.txtP1Score.lineWidth = 107;
        this.txtP1Score.setTransform( 203.4, 198 );

        this.txtBestName = new cjs.Text( "maria", "20px Cartoonist", "#D4F5FB" );
        this.txtBestName.textAlign = "center";
        this.txtBestName.lineHeight = 22;
        this.txtBestName.lineWidth = 83;
        this.txtBestName.setTransform( 64.5, 64.2 );

        this.txtBestScore = new cjs.Text( "2.000.000", "25px Cartoonist", "#FFFFFF" );
        this.txtBestScore.textAlign = "center";
        this.txtBestScore.lineHeight = 27;
        this.txtBestScore.lineWidth = 143;
        this.txtBestScore.setTransform( 179.6, 62.2 );

        // background
        this.instance_5 = new lib.score_box();

        this.addChild( this.instance_5, this.txtBestScore, this.txtBestName, this.txtP1Score, this.txtP1Name, this.txtP2Score, this.txtP2Name, this.txtP3Score, this.txtP3Name );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 286, 356 );


    ( lib.GameScreenPicture = function()
    {
        this.initialize();

        // Camada 1
        this.instance_6 = new lib.bg_picture();
        this.instance_6.setTransform( -683.4, 0 );

        this.addChild( this.instance_6 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( -683.4, 0, 1367, 769 );


    ( lib.GameScreenBackgroundBorderTop = function()
    {
        this.initialize();

        // logo
        this.instance_7 = new lib.bg_border_logo();
        this.instance_7.setTransform( -155.9, 23 );

        // bg
        this.instance_8 = new lib.bg_border_top_center();
        this.instance_8.setTransform( 235, 0, 1, 1, 0, 0, 180 );

        this.instance_9 = new lib.bg_border_top_center();
        this.instance_9.setTransform( -234.9, 0 );

        this.addChild( this.instance_9, this.instance_8, this.instance_7 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( -234.9, 0, 470, 124 );


    ( lib.GameScreenTableBackground = function()
    {
        this.initialize();

        // particlesContainer
        this.particlesContainer = new lib.dummy();
        this.particlesContainer.setTransform( 40, 38 );

        // container
        this.container = new lib.dummy();
        this.container.setTransform( 38, 40 );

        var g = new createjs.Graphics();
        g.beginFill( 0xFFFFFF );
        g.drawRect( 0, 0, 10 * 55, 8 * 55 );
        g.endFill();
        var tableMask = new createjs.Shape( g );
        tableMask.setTransform( 38, 40 );
        this.container.mask = tableMask;

        // image
        this.borderAnimation = new lib.BorderAnimation();
        this.borderAnimation.setTransform( -10, -2 );

        this.countdownContainer = new createjs.Container();
        this.animContainer = new createjs.Container();

        this.addChild( this.borderAnimation, this.container, this.particlesContainer, this.countdownContainer, this.animContainer );

    } ).prototype = p = new createjs.Container();
    p.nominalBounds = new createjs.Rectangle( 0, 0, 637, 527 );


    ( lib.GameScreenBorderTopSide = function()
    {
        this.initialize();

        // Camada 1
        this.instance_11 = new lib.Símbolo1();
        this.instance_11.setTransform( 341.5, 41.5, 1, 1, 0, 0, 0, 341.5, 41.5 );

        this.addChild( this.instance_11 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 83 );


    ( lib.GameScreenBackgroundBorderSide = function()
    {
        this.initialize();

        // Camada 2
        this.bottom = new lib.GameScreenBorderBottom();
        this.bottom.setTransform( 341.5, 717, 1, 1, 0, 0, 0, 341.5, 52 );

        this.side = new lib.GameScreenBorderSide();
        this.side.setTransform( 13, 374, 1, 1, 0, 0, 0, 13, 292 );

        this.top = new lib.GameScreenBorderTopSide();

        this.addChild( this.top, this.side, this.bottom );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 683, 769 );


    ( lib.GameScreenBackgroundBorder = function()
    {
        this.initialize();

        // top
        this.top_1 = new lib.GameScreenBackgroundBorderTop();
        this.top_1.setTransform( 683, 0 );

        // right
        this.right = new lib.GameScreenBackgroundBorderSide();
        this.right.setTransform( 1366, 0, 1, 1, 0, 0, 180 );

        // left
        this.left = new lib.GameScreenBackgroundBorderSide();

        this.addChild( this.left, this.right, this.top_1 );
    } ).prototype = p = new cjs.Container();
    p.nominalBounds = new cjs.Rectangle( 0, 0, 1366, 769 );

} )( lib = lib || {}, images = images || {}, createjs = createjs || {} );
var lib, images, createjs;